## freeradius-0.7.1.tar.gz

=== Makefile ===
#
# Makefile
#
#		NOTE: This top-level Makefile must not
#		use GNU-make extensions. The lower ones can.
#
# Version:	$Id: Makefile,v 1.31 2002/07/12 19:44:01 aland Exp $
#

include Make.inc

SUBDIRS		= ${LIBLTDLPATH} src raddb scripts
WHAT_TO_MAKE	= all

all:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

clean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	@rm -f *~

install:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	$(INSTALL) -d -m 755	$(R)$(mandir);
	$(INSTALL) -d -m 755	$(R)$(RUNDIR);
	$(INSTALL) -d -m 700	$(R)$(logdir);
	$(INSTALL) -d -m 700	$(R)$(radacctdir);
	for i in 1 5 8; do \
		$(INSTALL) -d -m 755	$(R)$(mandir)/man$$i; \
		for p in man/man$$i/*.$$i; do \
			$(INSTALL) -m 644 $$p $(R)$(mandir)/man$$i; \
		done \
	done
	@echo "Creating/updating files in $(R)$(raddbdir)"; \
	$(INSTALL) -d -m 755	$(R)$(raddbdir); \
	cd raddb; \
	for i in [a-c]* [e-z]*; do \
		[ $$i != radiusd.conf.in -a ! -f $(R)$(raddbdir)/$$i ] && \
                $(INSTALL) -m 644 $$i $(R)$(raddbdir); \
	done; \
	for i in dictionary*; do \
		[ ! -f $(R)$(raddbdir)/$$i ] && $(INSTALL) -m 644 $$i $(R)$(raddbdir); \
		if [ "`find $$i -newer $(R)$(raddbdir)/$$i`" ]; then \
			echo "** $(R)$(raddbdir)/$$i"; \
			nt=1; \
		fi; \
	done; \
	if [ "$$nt" ]; then \
		echo "**";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
		echo "**";\
		echo "** The sample configuration files in `pwd`";\
		echo "** are newer than those in $(R)$(raddbdir)";\
		echo "**";\
		echo "** Please investigate and manually copy (if appropriate) the files listed above.";\
		echo "**";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
	fi

common:
	@for dir in $(SUBDIRS); do \
		echo "Making $(WHAT_TO_MAKE) in $$dir..."; \
		(cd $$dir && $(MAKE) $(MFLAGS) $(WHAT_TO_MAKE)) || exit 1;\
	done

distclean: clean
	rm -f config.cache config.log config.status libtool \
		src/include/radpaths.h src/include/stamp-h \
		libltdl/config.log libltdl/config.status \
		libltdl/libtool
	-find . ! -name configure.in -name \*.in -print | \
		sed 's/\.in$$//' | \
		while read file; do rm -f $$file; done
	-find src/modules -name config.mak | \
		while read file; do rm -f $$file; done
	-find src/modules -name config.h | \
		while read file; do rm -f $$file; done

######################################################################
#
#  Automatic remaking rules suggested by info:autoconf#Automatic_Remaking
#
######################################################################
reconfig: configure src/include/autoconf.h.in

configure: configure.in aclocal.m4
	$(AUTOCONF)

# autoheader might not change autoconf.h.in, so touch a stamp file
src/include/autoconf.h.in: src/include/stamp-h.in acconfig.h
src/include/stamp-h.in: configure.in acconfig.h
	$(AUTOHEADER)
	echo timestamp > src/include/stamp-h.in

src/include/autoconf.h: src/include/stamp-h
src/include/stamp-h: src/include/autoconf.h.in config.status
	./config.status

config.status: configure
	./config.status --recheck

configure.in:

=== src/lib/Makefile ===

include ../../Make.inc

SRCS		= dict.c print.c radius.c valuepair.c token.c misc.c \
		log.c filters.c missing.c md4.c md5.c sha1.c hmac.c snprintf.c

INCLUDES	= ../include/radius.h ../include/libradius.h \
		  ../include/missing.h ../include/autoconf.h

CFLAGS		+= -D_LIBRADIUS -I../include

all:	static dynamic

TARGET=$(LIBPREFIX)radius

STATIC_OBJS	= $(SRCS:.c=.o)
DYNAMIC_OBJS	= $(SRCS:.c=.lo)

$(STATIC_OBJS):  $(INCLUDES)
$(DYNAMIC_OBJS): $(INCLUDES)

#######################################################################
#
# define new rules
#
#######################################################################
%.o : %.c
	$(CC) $(CFLAGS) -c $< -o $@

%.lo : %.c
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) -c $<


$(TARGET).a: $(STATIC_OBJS)
	$(LIBTOOL) --mode=link $(LD) \
	-module -static $(CFLAGS) $^ -o $@ 


ifneq ($(USE_SHARED_LIBS),yes)
LINK_MODE=-static
endif

$(TARGET).la: $(DYNAMIC_OBJS)
	$(LIBTOOL) --mode=link $(CC) -release $(RADIUSD_VERSION) \
	-module $(LINK_MODE) $(CFLAGS) -o $@ -rpath $(libdir) $^ 

static: $(TARGET).a

dynamic: $(TARGET).la

clean:
	rm -f *.o $(TARGET).a $(TARGET).la

install: static dynamic
	$(LIBTOOL) --mode=install $(INSTALL) -c \
		$(TARGET).la $(R)$(libdir)/$(TARGET).la;
	rm -f $(R)$(libdir)/$(TARGET)-$(RADIUSD_VERSION).la;
	ln -s $(TARGET).la $(R)$(libdir)/$(TARGET)-$(RADIUSD_VERSION).la

=== src/modules/rlm_eap/Makefile ===
TARGET      = rlm_eap
SRCS        = rlm_eap.c eap.c mem.c state.c
HEADERS     = eap.h
RLM_CFLAGS  = $(INCLTDL)
RLM_LIBS    = 
RLM_INSTALL = install-types

RLM_SUBDIRS = types

#
#  If Not using shared libraries, add in ALL known static eap_types
# at build time.
#
#ifneq ($(USE_SHARED_LIBS),yes)
#RLM_EAP_LIBS += $(shell for x in types/rlm_eap*/rlm_eap*.la;do echo -dlpreopen $$x;done)
#endif

$(STATIC_OBJS): $(HEADERS)

$(DYNAMIC_OBJS): $(HEADERS)

all: 
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

allclean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=clean common

install-types:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=install common

common:
	@for dir in $(RLM_SUBDIRS); do \
		echo "Making $(WHAT_TO_MAKE) in $$dir..."; \
		(cd $$dir && $(MAKE) $(MFLAGS) $(WHAT_TO_MAKE)) || exit 1;\
	done

## this uses the RLM_CFLAGS and RLM_LIBS and SRCS defs to make TARGET.
include ../rules.mak

## the rule that RLM_INSTALL tells the parent rules.mak to use.
install-eap:
	touch .

=== src/modules/rlm_eap/types/rlm_eap_tls/Makefile ===
TARGET      = 
#TARGET      = rlm_eap_tls
SRCS        = rlm_eap_tls.c eap_tls.c cb.c tls.c
RLM_CFLAGS  = $(INCLTDL) -I../.. -I/path/to/openssl/include
HEADERS     = eap_tls.h
RLM_INSTALL = 

RLM_LDFLAGS += -L/path/to/openssl/lib
RLM_LIBS    += -lssl 

$(STATIC_OBJS): $(HEADERS)

$(DYNAMIC_OBJS): $(HEADERS)

RLM_DIR=../../
include ${RLM_DIR}../rules.mak

=== debian/control ===
Source: radiusd-freeradius
Build-Depends: debhelper, libltdl3-dev | libltdl0-dev, libpam0g-dev, postgresql-dev, libmysqlclient10-dev, libgdbmg1-dev, libldap2-dev, libsasl-dev, libsnmp4.2-dev, libiodbc2-dev, libkrb5-dev, libssl-dev
Section: admin
Priority: optional
Maintainer: Chad Miller <cmiller@debian.org>
Standards-Version: 3.2.1

Package: radiusd-freeradius
Architecture: any
Depends: ${shlibs:Depends}
Recommends: logrotate
Provides: radius-server
Suggests: radiusd-freeradius-ldap, radiusd-freeradius-postgresql, radiusd-freeradius-mysql, radiusd-freeradius-krb5
Conflicts: radius-server
Description: A high-performance and highly configurable RADIUS server
 A high-performance RADIUS server derived from Cistron's server, and
 generally similar to Livingston's 2.0 server, with support for...
  - many vendor-specific attributes
  - proxying and replicating requests by any criteria
  - authentication on system passwd, SQL, Kerberos, LDAP, users file, or PAM
  - multiple DEFAULT configurations
  - regexp matching in string attributes
 and lots more.

Package: radiusd-freeradius-krb5
Architecture: any
Depends: radiusd-freeradius, ${shlibs:Depends}
Description: Kerberos module for FreeRADIUS server.
 The FreeRADIUS server can use Kerberos to authenticate users, and this module
 is necessary for that.

Package: radiusd-freeradius-ldap
Architecture: any
Depends: radiusd-freeradius, ${shlibs:Depends}
Description: LDAP module for FreeRADIUS server.
 The FreeRADIUS server can use LDAP to authenticate users, and this module
 is necessary for that.

Package: radiusd-freeradius-postgresql
Architecture: any
Depends: radiusd-freeradius, ${shlibs:Depends}
Description: PostgreSQL module for FreeRADIUS server.
 The FreeRADIUS server can use PostgreSQL to authenticate users and do
 accounting, and this module is necessary for that.

Package: radiusd-freeradius-mysql
Architecture: any
Depends: radiusd-freeradius, ${shlibs:Depends}
Description: MySQL module for FreeRADIUS server.
 The FreeRADIUS server can use MySQL to authenticate users and do accounting,
 and this module is necessary for that.
